%global  __requires_exclude devel\\(/lib/libNoVersion\\)

%define  major   5
%define  libname %mklibname geotiff %{major}
%define  libdev  %mklibname geotiff -d

Name:           geotiff
Summary:        Cartographic software
Version:        1.7.1
Release:        %mkrel 2
Group:          Sciences/Geosciences
License:        MIT-like
URL:            https://github.com/OSGeo/libgeotiff
#https://github.com/OSGeo/libgeotiff/archive/libgeotiff-%%{version}.tar.gz
Source0:        https://download.osgeo.org/geotiff/libgeotiff/libgeotiff-%{version}.tar.gz
BuildRequires:  pkgconfig(libtiff-4) >= 3.6.0
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(proj)

Requires:       proj

Conflicts:      %libname < 1.4.2-7

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files.

%package -n %libname
Summary:        Cartographic software - Libraries
Group:          Sciences/Geosciences

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%package -n %libdev
Summary:        Cartographic software - Development files
Group:          Sciences/Geosciences
Requires:       %libname = %{version}
Provides:       geotiff-devel = %{version}-%{release}

%description -n %libdev
libgeotiff development files.

%prep
%setup -q -n libgeotiff-%{version}
%autopatch -p1

%build
%configure \
	--disable-static \
	--includedir=%{_includedir}/lib%{name}/ \
	--with-jpeg \
	--with-zip \
	--enable-incode-epsg
%make_build

%install
%make_install

chmod 644 %{buildroot}%{_includedir}/lib%{name}/*

# install manualy some file
install -p -m 755 bin/makegeo %{buildroot}%{_bindir}

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/lib%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/

find %{buildroot} -name '*.la' -delete

%files
%license LICENSE
%doc ChangeLog
%{_bindir}/geotifcp
%{_bindir}/applygeo
%{_bindir}/listgeo
%{_bindir}/makegeo
%{_mandir}/man1/*.1*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %libdev
%{_libdir}/*.so
%{_includedir}/lib%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Dec 12 2022 ns80 <ns80> 1.7.1-2.mga9
+ Revision: 1921031
- rebuild for new libtiff

* Sat May 07 2022 eatdirt <eatdirt> 1.7.1-1.mga9
+ Revision: 1856575
- Update to version 1.7.1

* Tue Mar 29 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1833466
- Mageia 9 Mass Rebuild

* Tue May 12 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1583337
- new version: 1.6.0

* Fri Mar 20 2020 eatdirt <eatdirt> 1.5.1-3.mga8
+ Revision: 1558282
- Rebuild for new libproj

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1525415
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 17 2019 daviddavid <daviddavid> 1.5.1-1.mga7
+ Revision: 1391852
- new version: 1.5.1
- now linmajor is 5

* Sun Mar 31 2019 daviddavid <daviddavid> 1.4.3-3.mga7
+ Revision: 1383395
- rebuild for arm

* Thu Mar 07 2019 eatdirt <eatdirt> 1.4.3-2.mga7
+ Revision: 1372222
- Rebuild for new proj

* Tue Jan 15 2019 daviddavid <daviddavid> 1.4.3-1.mga7
+ Revision: 1357191
- new version: 1.4.3
- move header files to /usr/include/libgeotiff
- move manpages to main pkg
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-6.mga7
+ Revision: 1297865
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.4.2-5.mga7
+ Revision: 1210022
- rebuild for new proj 5.0.0
+ eatdirt <eatdirt>
- Rebuild for new proj

* Sat Dec 23 2017 wally <wally> 1.4.2-3.mga7
+ Revision: 1184379
- rebuild for arm
- drop static build

* Tue Oct 31 2017 eatdirt <eatdirt> 1.4.2-2.mga7
+ Revision: 1175128
- Rebuild for new libproj

* Wed Apr 05 2017 eatdirt <eatdirt> 1.4.2-1.mga6
+ Revision: 1095954
- Add patch to secure sscanf()/fscanf() uses
- Upgrade to bug fix release 1.4.2 (#20630)

* Thu May 19 2016 eatdirt <eatdirt> 1.4.1-1.mga6
+ Revision: 1016887
- Upgrade to 1.4.1

* Thu Feb 04 2016 umeabot <umeabot> 1.2.5-10.mga6
+ Revision: 936013
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-9.mga5
+ Revision: 744370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-8.mga5
+ Revision: 679507
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.2.5-7.mga4
+ Revision: 504795
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.5-6.mga3
+ Revision: 351403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 1.2.5-5.mga3
+ Revision: 254560
- Rebuild for new proj

* Thu Dec 22 2011 fwang <fwang> 1.2.5-4.mga2
+ Revision: 186115
- rebuild for new tiff

* Thu Mar 24 2011 ennael <ennael> 1.2.5-3.mga1
+ Revision: 76973
- clean spec file
- imported package geotiff


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-3mdv2011.0
+ Revision: 610840
- rebuild

* Tue Feb 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.2.5-2mdv2010.1
+ Revision: 506861
- fix files encoding
- fix build using gcc -shared instead of ld -shared
- install makegeo
- install pkgconfig file
- generate doxygen docs
- diff P1 to fix format string not literal

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 1.2.4-1mdv2008.1
+ Revision: 139583
- add patch 0 from fedora to fix build

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - Recompiling for 2008.0
    - import geotiff-1.2.2-6mdk


* Wed May 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-6mdk
- fix devel requires

* Wed May 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.2-5mdk
- Fix URL and description ( thanks rgs)

* Wed May 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.2-4mdk
- Rebuild

* Mon May 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.2-3mdk
- Fix BuildRequires
- %%mkrel

* Thu May 27 2004 Olivier Blin <blino@mandrake.org> 1.2.2-2mdk
- merge changelog back

* Wed May 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- Put blino's fixes back

* Wed May 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.1-2mdk
-rebuild

* Wed Jan 07 2004 Olivier Blin <blino@mandrake.org> 1.1.4-7mdk
- Patch0: try to fix soname
- rename specfile to please rpmlint
- fix Groups
- fix License
- BuildRequires, drop redundant Requires
- rm -rf $RPM_BUILD_ROOT at beginning of %%install
- mklibname

* Fri Aug 08 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1
- fix libname
- drop manual link creation

* Mon Jul 14 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0
- build with system tiff (requires tiff>=3.6.0)
- tighten requires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-6mdk
- rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-5mdk
- fix link

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-4mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-3mdk
- rebuild

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added in contribs by Laurent Grawet <laurent.grawet@ibelgique.com>

